:root {
    --rt-header-bg: linear-gradient(to bottom, var(--color-gray-100), var(--rt-color-background));
    --rt-header-border: var(--rt-border-subtle);
}

.beta-notice {
    margin-left: 5px;
    margin-bottom: 25px;
    margin-right: -8px;
    font-size: 16px;
}

.header {
    background: var(--rt-header-bg);
    height: 54px;
    text-align: center;
    position: sticky;
    top: 0;
    z-index: 999;
    margin-bottom: 15px;
    padding: 0 10px 0 10px;
    border-bottom: 1px solid var(--rt-border-muted);
}

.header__logo {
    height: 45px;
    box-sizing: border-box;
}

.header-util {
    max-width: 970px;
    width: 100%;
}

.header__search {
    width: 400px;
}

.header .profile-button:hover {
    background-color: var(--rt-bg-strong);
}

.util {
    align-items: center;
}

.util__item {
    border-left: 1px solid var(--rt-header-border);
    padding-left: 8px;
}

.util__item:first-child {
    border: none;
    padding-left: 0;
    padding-right: 8px;
}

.util a {
    white-space: nowrap;
}

.header__link, .header__username {
    color: var(--rt-text-primary) !important;
    font-size: 15px;
}

.logo-hat {
    display: block;
    position: absolute;
    transform-origin: 0 0;
    transform: translate(0, 0) scale(0.05) rotate(0deg);
}

.retro-man {
    display: block;
    position: absolute;
    transform-origin: 0 0;
    transform: translate(125px, 15px) scale(0.21) rotate(2deg);
}

.unread-notifications {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 14px;
    height: 14px;
    background: linear-gradient(180deg, #8135e5 0%, #9e6be0 100%);
    border-radius: 50%;
    transform: translate(50%, -50%);
    z-index: 9999;
}

@media (max-width: 960px) {
    .header__logo {
        content: url("/images/favicon/retrotube-favicon-512.png");
    }

    .logo-hat, .retro-man { display: none; }

    .beta-notice {
        display: none;
    }

    .header__username {
        display: none;
    }
}